unit UfrmUpdateCheck;


interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, RzLabel, RzButton;

type
  TfrmUpdateCheck = class(TForm)
    Label_Action: TLabel;
    Timer_Check: TTimer;
    RzLabel_Msg1: TRzLabel;
    RzLabel_Msg3: TRzLabel;
    Timer_Close: TTimer;
    RzBitBtn_Exit: TRzBitBtn;
    RzLabel_Msg2: TRzLabel;
    procedure FormShow(Sender: TObject);
    procedure Timer_CheckTimer(Sender: TObject);
    procedure Timer_CloseTimer(Sender: TObject);
    procedure RzBitBtn_ExitClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmUpdateCheck: TfrmUpdateCheck;

implementation

uses UfrmUpdate;

{$R *.dfm}

procedure TfrmUpdateCheck.FormShow(Sender: TObject);
begin
  Timer_Check.Enabled := true;
end;

procedure TfrmUpdateCheck.Timer_CheckTimer(Sender: TObject);
begin
  Screen.Cursor := crHourglass;
  Timer_Check.Enabled := false;
  Screen.Cursor := crDefault;
  frmUpdate.LookForUpdate;
  if (frmUpdate.CheckSuccess = false) then
  begin
    RzLabel_Msg1.Caption := '? Internet connection not working?';
    RzLabel_Msg2.Caption := '? Website not responding?';
    RzLabel_Msg3.Caption := '? Update control file not found?';
    Label_Action.Caption := 'Update check failed.';
    RzBitBtn_Exit.Visible := true;
    Timer_Close.Enabled := true;
    exit;
  end;
  if frmUpdate.UpdateAvailable = false then
  begin
    RzLabel_Msg1.Caption := '';
    RzLabel_Msg2.Caption := 'You have the latest version.';
    RzLabel_Msg3.Caption := '';
    Label_Action.Caption := 'No new update available.';
    RzBitBtn_Exit.Visible := true;
    Timer_Close.Enabled := true;
    exit;
  end;
  Close;
end;

procedure TfrmUpdateCheck.Timer_CloseTimer(Sender: TObject);
begin
  Timer_Close.Enabled := false;
  Close;
end;

procedure TfrmUpdateCheck.RzBitBtn_ExitClick(Sender: TObject);
begin
  Timer_Close.Enabled := false;
  Close;
end;

end.
